Shotwell deletes tags at random

Bug #999108 reported by Jan Heitkötter on 2012-05-14
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
shotwell (Ubuntu)
High
Unassigned
Precise
High
Unassigned

Bug Description

There's a bug in Shotwell (0.12.2, Ubuntu 12.04 LTS) which causes it to remove certain tags from all images in the library. It usually happens after emtpying trash. This does not only cause data loss (tag information gone forever), but it also makes Shotwell re-write all affected images which can take several hours to complete and, during this time, renders the machine nearly useless.

This bug is already fixed in upstream Shotwell 0.12.3: http://redmine.yorba.org/issues/5068

Please, have this bug fixed in an LTS version.

Sebastien Bacher (seb128) wrote :

Thank you for your bug report, 0.12.3 will be uploaded as a stable update this week

Changed in shotwell (Ubuntu Precise):
importance: Undecided → High
status: New → In Progress
Changed in shotwell (Ubuntu):
importance: Undecided → High
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shotwell - 0.12.3-0ubuntu1

---------------
shotwell (0.12.3-0ubuntu1) quantal; urgency=low

  * New upstream version, fixes:
    - Shotwell deletes tags at random (lp: #999108)
    - shotwell's unity progress bar hangs halfway across (lp: #987046)
    - Shotwell will not detect mts moviefiles on memory card (lp: #990725)
 -- Sebastien Bacher <email address hidden> Wed, 16 May 2012 15:18:16 +0200

Changed in shotwell (Ubuntu):
status: Fix Committed → Fix Released
Changed in shotwell (Ubuntu Precise):
status: In Progress → Fix Committed

Excellent! Thanks!

Am 14.05.2012 14:39, schrieb Sebastien Bacher:
> Thank you for your bug report, 0.12.3 will be uploaded as a stable
> update this week
>
> ** Also affects: shotwell (Ubuntu Precise)
> Importance: Undecided
> Status: New
>
> ** Changed in: shotwell (Ubuntu Precise)
> Importance: Undecided => High
>
> ** Changed in: shotwell (Ubuntu Precise)
> Status: New => In Progress
>
> ** Changed in: shotwell (Ubuntu)
> Importance: Undecided => High
>
> ** Changed in: shotwell (Ubuntu)
> Status: New => Fix Committed
>

Hello Jan, or anyone else affected,

Accepted shotwell into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed

Martin,

good news: I've been working on my photos all weekend now and so far,
Shotwell 0.12.3 has not yet tried to mess up all my tags. Even emptying
trash did'n trigger tag removal. I'm happy.

Cheers

Jan

Am 18.05.2012 10:02, schrieb Martin Pitt:
> Hello Jan, or anyone else affected,
>
> Accepted shotwell into precise-proposed. The package will build now and
> be available in a few hours. Please test and give feedback here. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Thank you in advance!
>
> ** Tags added: verification-needed
>

Martin Pitt (pitti) on 2012-05-20
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shotwell - 0.12.3-0ubuntu0.1

---------------
shotwell (0.12.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream version, fixes:
    - Shotwell deletes tags at random (lp: #999108)
    - shotwell's unity progress bar hangs halfway across (lp: #987046)
    - Shotwell will not detect mts moviefiles on memory card (lp: #990725)
 -- Sebastien Bacher <email address hidden> Wed, 16 May 2012 15:29:40 +0200

Changed in shotwell (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers